

var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');
var _reactTestRenderer=require('react-test-renderer');var _reactTestRenderer2=_interopRequireDefault(_reactTestRenderer);

var _ImmutableListView=require('../ImmutableListView');var _ImmutableListView2=_interopRequireDefault(_ImmutableListView);

var _testUtils=require('./testUtils');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}

describe('ImmutableListView',function(){
it('renders with empty data',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.EMPTY_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic List',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.LIST_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic Map',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.MAP_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic Map with section headers',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.MAP_DATA,
renderRow:_testUtils.renderers.renderRow,
renderSectionHeader:_testUtils.renderers.renderSectionHeader})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders more complex Map with section headers',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.MAP_DATA_COMPLEX,
renderRow:_testUtils.renderers.renderRow,
renderSectionHeader:_testUtils.renderers.renderSectionHeader})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic Set',function(){
var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.SET_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});
});

describe('ImmutableListView with delayed rendering',function(){
it('renders basic List during interactions',function(){

_reactNative.InteractionManager.runAfterInteractions=function(){};

var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.LIST_DATA,
rowsDuringInteraction:1,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});

it('renders basic List after interactions',function(){

_reactNative.InteractionManager.runAfterInteractions=function(callback){return callback();};

var tree=_reactTestRenderer2.default.create(
_react2.default.createElement(_ImmutableListView2.default,{
immutableData:_testUtils.data.LIST_DATA,
rowsDuringInteraction:1,
renderRow:_testUtils.renderers.renderRow})).

toJSON();
expect(tree).toMatchSnapshot();
});
});